Skip to main content
`Ctrl`+`K`

# DMPlexGetTreeChildren

get the children of a point in the tree describing the point hierarchy (not the DAG)

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetTreeChildren(DM dm, PetscInt point, PetscInt *numChildren, const PetscInt *children[])

## Input Parameters

- dm - the `DMPLEX` object

- point - the query point

## Output Parameters

- numChildren - if not `NULL`, set to the number of children

- children - if not `NULL`, set to a list children, or set to `NULL` if the point has no children

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSetTree()`, `DMPlexGetTree()`, `DMPlexGetTreeParent()`

## Level

intermediate

## Location

src/dm/impls/plex/plextree.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages